package ru.myitschool.work.api.domain;

import androidx.annotation.NonNull;

import java.util.List;
import java.util.function.Consumer;

import ru.myitschool.work.api.data.dto.employee.EmployeeDTO;
import ru.myitschool.work.api.domain.entity.Status;
import ru.myitschool.work.api.domain.entity.employee.EmployeeEntity;
import ru.myitschool.work.api.domain.entity.employee.ItemEmployeeEntity;

public interface EmployeeRepository {
    void getAllEmployees(@NonNull Consumer<Status<List<EmployeeEntity>>> callback);
    ItemEmployeeEntity getEmployeeById(long id, @NonNull Consumer<Status<EmployeeEntity>> callback);
    void getEmployeeByEmail(@NonNull String email, @NonNull Consumer<Status<EmployeeEntity>> callback);
    void getEmployeeByTelephone(@NonNull String telephone, @NonNull Consumer<Status<EmployeeEntity>> callback);
    void updateEmployee(long id, @NonNull EmployeeDTO employeeDTO, @NonNull Consumer<Status<Void>> callback);//переделай после dto
    void deleteEmployee(long id, @NonNull Consumer<Status<EmployeeEntity>> callback);
    void patchEmployeerOfficeId(long id, long officeId, @NonNull Consumer<Status<Void>> callback);
}
