package ru.myitschool.work.ui.screens;

import android.os.Bundle;

import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import androidx.fragment.app.Fragment;

import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import ru.myitschool.work.R;
import ru.myitschool.work.databinding.FragmentQrBinding;

public class QrFragment extends Fragment {
    private FragmentQrBinding binding;

    public QrFragment() { super(R.layout.fragment_qr); }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        binding = FragmentQrBinding.bind(view);

        binding.qrButton.setOnClickListener(this::qrScanListener);
    }

    private void qrScanListener(View view) {
        this.requireActivity().getSupportFragmentManager().beginTransaction()
                .replace(R.id.fragment_container_view, QrScanFragment.class, null)
                .addToBackStack("").commit();
    }

    @Override
    public void onDestroyView() {
        binding = null;
        super.onDestroyView();
    }
}